<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Source/Synopsis/Formatters/HTML/Fragments/SourceLinker.py.html -->
<!-- this view was generated by Source -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/Formatters/HTML/Fragments/SourceLinker.py</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Source">
<div class="navigation">
<span class="normal"><a href="../../../../../Scopes/Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
File: <b >Synopsis/Formatters/HTML/Fragments/SourceLinker.py</b><pre class="sxr"><a id="line1"></a><span class="lineno"> 1</span><span class="line"><span class="py-comment">#</span></span>
<a id="line2"></a><span class="lineno"> 2</span><span class="line"><span class="py-comment"># Copyright (C) 2000 Stephen Davies</span></span>
<a id="line3"></a><span class="lineno"> 3</span><span class="line"><span class="py-comment"># Copyright (C) 2000 Stefan Seefeld</span></span>
<a id="line4"></a><span class="lineno"> 4</span><span class="line"><span class="py-comment"># All rights reserved.</span></span>
<a id="line5"></a><span class="lineno"> 5</span><span class="line"><span class="py-comment"># Licensed to the public under the terms of the GNU LGPL (&gt;= 2),</span></span>
<a id="line6"></a><span class="lineno"> 6</span><span class="line"><span class="py-comment"># see the file COPYING for details.</span></span>
<a id="line7"></a><span class="lineno"> 7</span><span class="line"><span class="py-comment">#</span></span>
<a id="line8"></a><span class="lineno"> 8</span>
<a id="line9"></a><span class="lineno"> 9</span><span class="line"><span class="py-keyword">from</span> Synopsis.Formatters.HTML.Tags <span class="py-keyword">import</span> *</span>
<a id="line10"></a><span class="lineno">10</span><span class="line"><span class="py-keyword">from</span> Default <span class="py-keyword">import</span> Default</span>
<a id="line11"></a><span class="lineno">11</span>
<a id="line12"></a><span class="lineno">12</span><span class="line">_icons = {<span class="py-string">'C'</span>:<span class="py-string">'src-c.png'</span>,</span>
<a id="line13"></a><span class="lineno">13</span><span class="line">          <span class="py-string">'C++'</span>:<span class="py-string">'src-c++.png'</span>,</span>
<a id="line14"></a><span class="lineno">14</span><span class="line">          <span class="py-string">'Python'</span>:<span class="py-string">'src-py.png'</span>}</span>
<a id="line15"></a><span class="lineno">15</span>
<a id="line16"></a><span class="lineno">16</span><span class="line"><span class="py-keyword">class</span> <a href="../../../../../Scopes/Synopsis/Formatters/HTML/Fragments/SourceLinker/SourceLinker.html">SourceLinker</a>(Default):</span>
<a id="line17"></a><span class="lineno">17</span><span class="line">    <span class="py-string">&quot;&quot;&quot;Adds a link to the decl on the file view to all declarations&quot;&quot;&quot;</span></span>
<a id="line18"></a><span class="lineno">18</span>
<a id="line19"></a><span class="lineno">19</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../../Scopes/Synopsis/Formatters/HTML/Fragments/SourceLinker/SourceLinker.html#register">register</a>(self, formatter):</span>
<a id="line20"></a><span class="lineno">20</span>
<a id="line21"></a><span class="lineno">21</span><span class="line">        Default.register(self, formatter)</span>
<a id="line22"></a><span class="lineno">22</span><span class="line">        self.sxr = self.processor.sxr_prefix <span class="py-keyword">and</span> True</span>
<a id="line23"></a><span class="lineno">23</span>
<a id="line24"></a><span class="lineno">24</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../../Scopes/Synopsis/Formatters/HTML/Fragments/SourceLinker/SourceLinker.html#format_declaration">format_declaration</a>(self, decl):</span>
<a id="line25"></a><span class="lineno">25</span>
<a id="line26"></a><span class="lineno">26</span><span class="line">        <span class="py-keyword">if</span> <span class="py-keyword">not</span> self.sxr <span class="py-keyword">or</span> <span class="py-keyword">not</span> decl.file: <span class="py-keyword">return</span> <span class="py-string">''</span></span>
<a id="line27"></a><span class="lineno">27</span><span class="line">        language = decl.file.annotations[<span class="py-string">'language'</span>]</span>
<a id="line28"></a><span class="lineno">28</span><span class="line">        icon = _icons[language]</span>
<a id="line29"></a><span class="lineno">29</span><span class="line">        url = self.directory_layout.file_source(decl.file.name) + <span class="py-string">'#line%d'</span> % decl.line</span>
<a id="line30"></a><span class="lineno">30</span><span class="line">        label = img(src=rel(self.view.filename(), icon), alt=<span class="py-string">'source code'</span>)</span>
<a id="line31"></a><span class="lineno">31</span><span class="line">        <span class="py-keyword">return</span> href(rel(self.view.filename(), url), label)</span>
<a id="line32"></a><span class="lineno">32</span>
</pre>
<div class="logo">Generated on Thu Apr 16 16:27:13 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
